import { Stack, SynthesisOptions } from '@aws-cdk/core';
declare global {
    namespace jest {
        interface Matchers<R> {
            toMatchCdkSnapshot(options?: Options): R;
        }
    }
}
declare type Options = SynthesisOptions & {
    /**
     * Output snapshots in YAML (instead of JSON)
     */
    yaml?: boolean;
};
export declare const toMatchCdkSnapshot: (this: any, received: Stack, options?: Options) => {
    message: () => string;
    name: string;
    pass: boolean;
    report: () => string;
    actual?: undefined;
    expected?: undefined;
} | {
    message: () => string;
    pass: boolean;
    name?: undefined;
    report?: undefined;
    actual?: undefined;
    expected?: undefined;
} | {
    actual: string;
    expected: string | null;
    message: () => string;
    name: string;
    pass: boolean;
    report: () => string;
};
export {};
